var buttonX;
var buttonY;
var bakularCode="";
var adNum=0;
var dakularCode="";
var theTimer;
var imgPre=new Array();
for (i=1;i<10;i++)
{
imgPre[i]=new Image();
imgPre[i].src=imgUrl[i];
}
function setTransition()
{
if (document.all)
{
imgUrlrotator.filters.revealTrans.Transition=13;
imgUrlrotator.filters.revealTrans.apply();
}
}
function playTransition()
{
if (document.all)
imgUrlrotator.filters.revealTrans.play()
}
function nextAd(toNum)
{
if(adNum<imgUrl.length-1)
adNum++ ;
else
adNum=1;
if(toNum!=null) adNum=toNum;
setTransition();
document.images.imgUrlrotator.src=imgUrl[adNum];

playTransition();
checkButton();
if(toNum!=null)
{toNum=null;theTimer=setTimeout("nextAd()", 7000);}
else
{theTimer=setTimeout("nextAd()", 7000);}
}
function jump2url()
{
jumpUrl=imgLink[adNum];jumpTarget='_blank';
if (jumpUrl != '')
{ if (jumpTarget != '')
window.open(jumpUrl,jumpTarget);
else location.href=jumpUrl;
}
}
function displayStatusMsg()
{
status=imgLink[adNum];
document.returnValue = true;
}
function checkButton()
{
for(i=1;i<=imgUrl.length-1;i++)
{if(i==adNum)
eval("");
else
eval("");
}
}
function dakularButtons()
{


for(i=1;i<=imgUrl.length-1;i++)
{
dakularCode=dakularCode+"<div id='bt"+i+"' >"+i+"</div>";
}
dakularCode="<div style='display:inline; position:absolute; left:"+buttonX+"px; top:"+buttonY+"px; z-index:1;'>"+dakularCode+"</div>";
document.write(dakularCode);

}
document.write ('<table border="0" cellpadding="0" cellspacing="0" id=newsTable style="position:relative; top:0px;right:0px; font-size:12px;">');
document.write ('<tr><td><a onMouseOver="displayStatusMsg();return document.returnValue;" onMouseOut=status=""; href="javascript:jump2url()">');
document.write ('<img style="FILTER: revealTrans(duration=1,transition=18);" src="javascript:nextAd()" width=1000 height=200 border=0 name=imgUrlrotator></a>');
dakularButtons();
document.write ('</label></td></tr></table>');